Package org.apache.jasper.servlet

## Class TldPreScanned

- java.lang.Object
- - org.apache.jasper.servlet.TldScanner
  - - org.apache.jasper.servlet.TldPreScanned

-     public class TldPreScanned
      extends TldScanner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TldPreScanned​(ServletContext context, boolean namespaceAware, boolean validation, boolean blockExternal, Collection<URL> preScannedTlds)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `scanJars()` | Scan for TLDs in JARs in /WEB-INF/lib.

    - ### Methods inherited from class org.apache.jasper.servlet.TldScanner

      `getListeners, getTldResourcePathTaglibXmlMap, getUriTldResourcePathMap, parseTld, parseTld, scan, scanJspConfig, scanPlatform, scanResourcePaths, setClassLoader`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TldPreScanned

          public TldPreScanned​(ServletContext context,
                               boolean namespaceAware,
                               boolean validation,
                               boolean blockExternal,
                               Collection<URL> preScannedTlds)

  - ### Method Detail

    - #### scanJars

          public void scanJars()

      Description copied from class: `TldScanner`
      Scan for TLDs in JARs in /WEB-INF/lib.
      Overrides:
        `scanJars` in class `TldScanner`